MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031983Open CASCADE[OCCT] OCCT:Samplespublic2020-12-05 13:392020-12-19 15:23
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031983: Samples - CSharp cannot be compiled "atomic<> is not supported by C++/CLI"
DescriptionStarting with WEEK-48, sample can not be compiled
It is assumed that this happened after the fix integration for
0031921

http://jenkins-test-11.nnov.opencascade.com/view/WEEK-48_WEEK-48/view/SAMPLES/job/WEEK-48_WEEK-48-OCCT-Windows-64-VC12-sample-csharp/ [^]
Steps To ReproduceNot applicable
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0031921verifiedbugmaster Application Framework - reading OCAF data from several threads is not possible 

-  Notes
(0097417)
git (administrator)
2020-12-07 16:45

Branch CR31983 has been created by mpv.

SHA-1: a8df9b74e347e2602b9c6814715dd5bf7544d224


Detailed log of new commits:

Author: mpv
Date: Mon Dec 7 16:45:28 2020 +0300

    0031983: Samples - CSharp cannot be compiled "atomic<> is not supported by C++/CLI"
    
    Added checking of CLI compiler. If it is enabled in the visual studio, disable support of "atomic".
(0097432)
kgv (developer)
2020-12-08 20:05

 Added checking of CLI compiler. If it is enabled in the visual studio, disable support of "atomic".


+#if (defined(__cplusplus) && __cplusplus >= 201100L) || \
+    (defined(_MSC_VER) && _MSC_VER >= 1800 && _MANAGED != 1 && _M_CEE != 
1) || \

That might have unexpected result.

OCCT itself is compiled without C++/CLI flag - it is only used by C# sample which might include OCCT headers in C++/CLI code and link to C++ OCCT libraries.
As atomic is used in TDF_Label class header for a member, it might produce mismatching declaration of TDF_Label in OCCT itself and C# sample, and potentially runtime crash (if ugly atomic implementation is different in size than a raw pointer).
(0097641)
git (administrator)
2020-12-16 14:49

Branch CR31983_2 has been created by mpv.

SHA-1: 756b16abf2b6425615b49838e66c8d799c056e57


Detailed log of new commits:

Author: mpv
Date: Wed Dec 16 14:49:13 2020 +0300

    0031983: Samples - CSharp cannot be compiled "atomic<> is not supported by C++/CLI"
    
    Removed includes-dependency of the CSharp sample from TDF_Label.hxx
(0097651)
mpv (developer)
2020-12-16 20:44

It seems it is compiled well now.
OCCT: CR31983_2
Products: nothing
(0097749)
bugmaster (administrator)
2020-12-19 14:49

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097771)
git (administrator)
2020-12-19 15:22

Branch CR31983_2 has been deleted by inv.

SHA-1: 756b16abf2b6425615b49838e66c8d799c056e57
(0097794)
git (administrator)
2020-12-19 15:23

Branch CR31983 has been deleted by inv.

SHA-1: a8df9b74e347e2602b9c6814715dd5bf7544d224

- Related Changesets
occt: master 53f46612
Timestamp: 2020-12-16 11:49:13
Author: mpv
Committer: bugmaster
Details ] Diff ]
0031983: Samples - CSharp cannot be compiled "atomic<> is not supported by C++/CLI"

Removed includes-dependency of the CSharp sample from TDF_Label.hxx
mod - src/VrmlAPI/VrmlAPI_Writer.hxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-12-05 13:39 bugmaster New Issue
2020-12-05 13:39 bugmaster Assigned To => bugmaster
2020-12-05 13:39 bugmaster Relationship added related to 0031921
2020-12-05 13:40 bugmaster Assigned To bugmaster => mpv
2020-12-05 13:40 bugmaster Status new => assigned
2020-12-05 13:45 kgv Relationship replaced child of 0031921
2020-12-05 13:47 kgv Summary Samples - CSharp cannot be compiled => Samples - CSharp cannot be compiled "atomic<> is not supported by C++/CLI"
2020-12-05 13:47 kgv Description Updated View Revisions
2020-12-07 16:45 git Note Added: 0097417
2020-12-08 20:05 kgv Note Added: 0097432
2020-12-16 14:49 git Note Added: 0097641
2020-12-16 20:44 mpv Note Added: 0097651
2020-12-16 20:44 mpv Assigned To mpv => kgv
2020-12-16 20:44 mpv Status assigned => resolved
2020-12-16 20:44 mpv Steps to Reproduce Updated View Revisions
2020-12-16 21:45 kgv Assigned To kgv => bugmaster
2020-12-16 21:45 kgv Status resolved => reviewed
2020-12-19 14:49 bugmaster Note Added: 0097749
2020-12-19 14:49 bugmaster Status reviewed => tested
2020-12-19 14:59 bugmaster Test case number => Not required
2020-12-19 15:06 bugmaster Changeset attached => occt master 53f46612
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:22 git Note Added: 0097771
2020-12-19 15:23 git Note Added: 0097794


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker